# POST /agents/sessions
URL: https://www.warpbuild.com/docs/api/agents/CreateAgentSession

---
title: "POST /agents/sessions"
full: true
_openapi:
  preload:
    - ../../packages/api/core/openapi.json
  method: POST
  webhook: false
  toc: []
  structuredData:
    headings: []
    contents: []
---

{/* This file was generated by Fumadocs. Do not edit this file directly. Any changes should be made by running the generation command again. */}

export default function Layout(props) {
  const { APIPage, OpenAPIPage } = props.components ?? {};
  // "APIPage" is the old name from v10, this allows both for backward compatibility
  const Comp = OpenAPIPage ?? APIPage;
  return (
    <>
      {props.children}
      <Comp document="../../packages/api/core/openapi.json" operations={[{"path":"/agents/sessions","method":"post"}]} />
    </>
  );
}